#include <unistd.h>
#include <Producer/RenderSurface>

main()
{
    Producer::RenderSurface *rs = new Producer::RenderSurface;

    rs->setWindowRectangle( 100, 100, 400, 400 );
    rs->setWindowName( "Yer Momma" );

    rs->realize();
    int count = 0;
    for( ;; )
    {
        char buff[25];
        sleep(1);
        sprintf( buff, "Window %d\n", count++ );
        rs->setWindowName( buff );
    }
}
